package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.metadata.entity.SorterItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public interface IOpenPlatformAuthBillApiEntry extends ICoreBillEntryBase
{
    public boolean exists(IObjectPK pk) throws BOSException, EASBizException;
    public boolean exists(FilterInfo filter) throws BOSException, EASBizException;
    public boolean exists(String oql) throws BOSException, EASBizException;
    public OpenPlatformAuthBillApiEntryInfo getOpenPlatformAuthBillApiEntryInfo(IObjectPK pk) throws BOSException, EASBizException;
    public OpenPlatformAuthBillApiEntryInfo getOpenPlatformAuthBillApiEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public OpenPlatformAuthBillApiEntryInfo getOpenPlatformAuthBillApiEntryInfo(String oql) throws BOSException, EASBizException;
    public IObjectPK addnew(OpenPlatformAuthBillApiEntryInfo model) throws BOSException, EASBizException;
    public void addnew(IObjectPK pk, OpenPlatformAuthBillApiEntryInfo model) throws BOSException, EASBizException;
    public void update(IObjectPK pk, OpenPlatformAuthBillApiEntryInfo model) throws BOSException, EASBizException;
    public void updatePartial(OpenPlatformAuthBillApiEntryInfo model, SelectorItemCollection selector) throws BOSException, EASBizException;
    public void updateBigObject(IObjectPK pk, OpenPlatformAuthBillApiEntryInfo model) throws BOSException;
    public void delete(IObjectPK pk) throws BOSException, EASBizException;
    public IObjectPK[] getPKList() throws BOSException, EASBizException;
    public IObjectPK[] getPKList(String oql) throws BOSException, EASBizException;
    public IObjectPK[] getPKList(FilterInfo filter, SorterItemCollection sorter) throws BOSException, EASBizException;
    public OpenPlatformAuthBillApiEntryCollection getOpenPlatformAuthBillApiEntryCollection() throws BOSException;
    public OpenPlatformAuthBillApiEntryCollection getOpenPlatformAuthBillApiEntryCollection(EntityViewInfo view) throws BOSException;
    public OpenPlatformAuthBillApiEntryCollection getOpenPlatformAuthBillApiEntryCollection(String oql) throws BOSException;
    public IObjectPK[] delete(FilterInfo filter) throws BOSException, EASBizException;
    public IObjectPK[] delete(String oql) throws BOSException, EASBizException;
    public void delete(IObjectPK[] arrayPK) throws BOSException, EASBizException;
}